Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2835933004: Create TaskScheduler in BrowserMainLoop constructor. (Closed)

Created:
2 years, 2 months ago by fdoray
Modified:
2 years, 2 months ago
Reviewers:
robliao, gab, jam
CC:
chromium-reviews, jam, darin-cc_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Create TaskScheduler in BrowserMainLoop constructor. This CL allows tasks to be posted via base/task_scheduler/post_task.h as soon as BrowserMainLoop is instantiated. Tasks don't run until TaskScheduler::Start() is called in BrowserMainLoop::CreateThreads(). BUG=690706 Review-Url: https://codereview.chromium.org/2835933004 Cr-Commit-Position: refs/heads/master@{#467283} Committed: https://chromium.googlesource.com/chromium/src/+/54151d830574c77a0673105e99076bfa1fbd792a

Patch Set 1 #

Total comments: 4

Patch Set 2 : CR-robliao-9 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+13 lines, -8 lines) Patch
M content/browser/browser_main_loop.cc View 1 2 chunks +13 lines, -8 lines 0 comments Download

Depends on Patchset:

Messages

Total messages: 22 (14 generated)
fdoray
PTAL
2 years, 2 months ago (2017-04-24 17:05:42 UTC) #6
robliao
https://codereview.chromium.org/2835933004/diff/1/content/browser/browser_main_loop.cc File content/browser/browser_main_loop.cc (right): https://codereview.chromium.org/2835933004/diff/1/content/browser/browser_main_loop.cc#newcode536 content/browser/browser_main_loop.cc:536: base::TaskScheduler::Create(""); Should we be more aggressive about the creation ...
2 years, 2 months ago (2017-04-24 18:15:54 UTC) #7
gab
lgtm https://codereview.chromium.org/2835933004/diff/1/content/browser/browser_main_loop.cc File content/browser/browser_main_loop.cc (right): https://codereview.chromium.org/2835933004/diff/1/content/browser/browser_main_loop.cc#newcode536 content/browser/browser_main_loop.cc:536: base::TaskScheduler::Create(""); On 2017/04/24 18:15:54, robliao wrote: > Should ...
2 years, 2 months ago (2017-04-25 15:29:16 UTC) #8
robliao
lgtm https://codereview.chromium.org/2835933004/diff/1/content/browser/browser_main_loop.cc File content/browser/browser_main_loop.cc (right): https://codereview.chromium.org/2835933004/diff/1/content/browser/browser_main_loop.cc#newcode536 content/browser/browser_main_loop.cc:536: base::TaskScheduler::Create(""); On 2017/04/25 15:29:15, gab wrote: > On ...
2 years, 2 months ago (2017-04-25 17:21:30 UTC) #9
fdoray
jam@: PTAL
2 years, 2 months ago (2017-04-25 22:02:06 UTC) #12
jam
lgtm
2 years, 2 months ago (2017-04-26 00:21:09 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2835933004/20001
2 years, 2 months ago (2017-04-26 09:56:50 UTC) #19
commit-bot: I haz the power
2 years, 2 months ago (2017-04-26 10:00:29 UTC) #22
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/54151d830574c77a0673105e9907...

Powered by Google App Engine
This is Rietveld 408576698